MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
CurlMulti Class Reference

An OO wrapper for a "CURLM*" (a libCURL "multi" handle). More...

`#include <Multi.hxx>`

## Public Member Functions
| CurlMulti ()
| Allocate a new CURLM*. More...
| CurlMulti (std::nullptr_t)
| Create an empty instance. More...
| CurlMulti (CurlMulti &&src)
| ~CurlMulti ()
| operator bool () const
CurlMulti & | operator= (CurlMulti &&src)
CURLM * | Get ()
template<typename T >
void | SetOption (CURLMoption option, T value)

## Detailed Description

An OO wrapper for a "CURLM*" (a libCURL "multi" handle).

Definition at line 42 of file Multi.hxx.

## Constructor & Destructor Documentation

CurlMulti::CurlMulti | ( |  | ) |
| inline

Allocate a new CURLM*.

Throws std::runtime_error on error.

Definition at line 51 of file Multi.hxx.

CurlMulti::CurlMulti | ( | std::nullptr_t |  | ) |
| inline

Create an empty instance.

Definition at line 61 of file Multi.hxx.

CurlMulti::CurlMulti | ( | CurlMulti && | src | ) |
| inline

Definition at line 63 of file Multi.hxx.

CurlMulti::~CurlMulti | ( |  | ) |
| inline

Definition at line 65 of file Multi.hxx.

## Member Function Documentation

CURLM* CurlMulti::Get | ( |  | ) |
| inline

Definition at line 79 of file Multi.hxx.

CurlMulti::operator bool | ( |  | ) | const
| inline

Definition at line 70 of file Multi.hxx.

CurlMulti& CurlMulti::operator= | ( | CurlMulti && | src | ) |
| inline

Definition at line 74 of file Multi.hxx.

template<typename T >

void CurlMulti::SetOption | ( | CURLMoption | option,
|  | T | value
| ) |  |
| inline

Definition at line 84 of file Multi.hxx.

The documentation for this class was generated from the following file:

- lib/curl/Multi.hxx